angular.module("beamng.apps")
  /**
   * @ngdoc directive
   * @name beamng.apps:engBossInformation
   * @description Displays boss information, currently specific to the "The Convergence" explosive
   * @param {Difficulty} difficulty The difficulty level of the boss that is being displayed
   * @param {() => void} closeClick A function to call when the `close` button is clicked
   */
  .directive("engBossInformation", [() => {
    return {
      templateUrl: "../../modules/apps/ExplosionController/components/boss-information/boss-information.html",
      restrict: "E",
      transclude: true,
      scope: {
        difficulty: "<",
        closeClick: "<"
      }
    }
  }])