angular.module("beamng.apps")
  /**
   * @ngdoc directive
   * @name beamng.apps:engDialogue
   * @description Displays an inline text box containing an icon and projected text, that comes in multiple variants to
   * indicate severity/importance.
   * @param {DialogueVariant} variant The variant of the dialogue. Should be used to indicate severity/importance.
   * @param {string} icon The icon to use
   */
  .directive("engDialogue", [() => {
    return {
      templateUrl: "../../modules/apps/ExplosionController/components/dialogue/dialogue.html",
      restrict: "E",
      transclude: true,
      scope: {
        variant: "<",
        icon: "<"
      }
    }
  }]);