angular.module("beamng.apps")
  /**
   * @ngdoc directive
   * @name beamng.apps:engExplosiveProperty
   * @description Displays an {@link ExplosiveProperty}
   * @param {ExplosiveProperty} property The property to display
   */
  .directive("engExplosiveProperty", [() => {
    return {
      templateUrl: "../../modules/apps/ExplosionController/components/explosive-property/explosive-property.html",
      restrict: "E",
      scope: {
        property: "<"
      }
    };
  }])