local simObjects = require("lua/explosionsNG/handlers/worldObjects/simObjects")

--- Plays a sound once through the "AudioGui" channel
--- @param sound string The name of the sound to play
--- @param options? PlayOnceOptions | nil A list of options to use when playing the audio
local function playOnce(sound, options)
  local track = simObjects.soundToPath(sound) -- TODO Is this where this information should be living?
  Engine.Audio.playOnce("AudioGui", track, options)
end

return {
  playOnce = playOnce
}