local levels = require("lua/explosionsNG/helpers/levels")

setExtensionUnloadMode("explosionsNG", "manual")

-- Check every level installed and generate the materials if needed
for _, levelPath in ipairs(core_levels.getLevelPaths()) do
  levels.createMaterialsForLevel(levelPath)
end